﻿unit Unit1;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes, Vcl.Graphics,
  Vcl.Controls, Vcl.Forms, Vcl.Dialogs, VCLTee.TeeDragPoint, VCLTee.TeEngine,
  VCLTee.TeeTools, VCLTee.Series, Vcl.ExtCtrls, VCLTee.TeeProcs, VCLTee.Chart,
  Vcl.StdCtrls, VclTee.TeeGDIPlus;

type
  TForm1 = class(TForm)
    chart1: TChart;
    LineSeries14: TLineSeries;
    TeeGDIPlus1: TTeeGDIPlus;
    Button1: TButton;
    procedure chart1BeforeDrawAxes(Sender: TObject);
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.Button1Click(Sender: TObject);
begin
TeeGDIPlus1.Active := not TeeGDIPlus1.Active;
end;

procedure TForm1.chart1BeforeDrawAxes(Sender: TObject);
var x, y , x1, y1, x2, y2 : integer;
    fnt: TFont;
    r: TRect;
begin
  fnt := TFont.Create;
  fnt.Name := 'ArialNarrow';
  fnt.Color := clBlack;
  fnt.Size := -12;

  y := LineSeries14.CalcYPosValue(5.00);
  x := LineSeries14.CalcXPosValue(5.00);
  TChart(Sender).Canvas.Font.Assign(fnt);
  TChart(Sender).Canvas.TextOut(x,y,'dsfdsf');

  x1 := LineSeries14.CalcXPosValue(0.00);
  y1 := LineSeries14.CalcYPosValue(0.00);
  x2 := LineSeries14.CalcXPosValue(15.00);
  y2 := LineSeries14.CalcYPosValue(7.20);

  r.Left := x1;
  r.Right := x2;
  r.Top := y1;
  r.Bottom := y2;

  with TChart(Sender).Canvas do
      begin
        //Rectangle(r);
        Pen.Color := clSilver;
        Brush.Style := bssolid;
        Brush.Color := clSilver;
        //FillRect(r);
        Rectangle(r);
        Brush.Style := bsclear;
        TextOut(x, y, 'fgfdgfdg');
     end;
     fnt.Free;
end;

end.

